<?php

declare(strict_types=1);

namespace App\Filament\Resources\DberpWarehouses\Pages;

use App\Filament\Resources\Concerns\InteractsWithDberpRegionAddress;
use App\Filament\Resources\DberpWarehouses\DberpWarehouseResource;
use App\Filament\Resources\Pages\CreateRecord;

class CreateDberpWarehouse extends CreateRecord
{
    use InteractsWithDberpRegionAddress;

    protected static string $resource = DberpWarehouseResource::class;

    protected function mutateFormDataBeforeCreate(array $data): array
    {
        return $this->mutateDberpRegionFormDataBeforePersist($data);
    }
}